Skip to main content
POST
/
orders
criar pedido
curl --request POST \
  --url https://api.teceo.co/store/v1/orders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "brand_id": "brand_abc",
  "items": [
    {
      "product_id": "prod_abc123",
      "quantity": 10
    },
    {
      "product_id": "prod_def456",
      "quantity": 5
    }
  ],
  "notes": "entregar no período da manhã"
}
'
{
  "id": "<string>",
  "number": "<string>",
  "status": "pending",
  "total": 123,
  "items_count": 123,
  "brand": {
    "id": "<string>",
    "name": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
brand_id
string
required

id da marca/distribuidora

items
object[]
required
notes
string

observações do pedido

Response

pedido criado com sucesso

id
string

id único do pedido

number
string

número do pedido

status
enum<string>

status do pedido

Available options:
pending,
confirmed,
shipped,
delivered,
cancelled
total
number<float>

valor total do pedido

items_count
integer

quantidade de itens

brand
object
created_at
string<date-time>